Skip to main content
GET
/
v5
/
offers
/
templates
List Templates
curl --request GET \
  --url https://api-{dc}.moengage.com/v5/offers/templates \
  --header 'Authorization: Basic <encoded-value>'
{
  "response_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "type": "template_list",
  "data": {
    "items": [
      {
        "id": "app_small",
        "value": "app_small",
        "label": "App small",
        "template_type": []
      },
      {
        "id": "web_promo_card",
        "value": "web_promo_card",
        "label": "Web promo card",
        "template_type": [
          "web"
        ]
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 20,
      "has_more": false,
      "total_count": 2
    }
  }
}
Use the id of a template as the value for meta.templateId in offer_content when you create or update an offering with content type set to template.

Rate Limit

The rate limits are at the workspace level. Each endpoint allows 100 requests per minute, 300 requests per hour, and 600 requests per day.

Authorizations

Authorization
string
header
required

Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.

  • Username: Use your MoEngage Workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
  • Password: Use your API Key, which you can find within the Personalize tile.

For more information on authentication and getting your credentials, refer here.

Headers

X-MOE-Request-Id
string<uuid>

Client-supplied trace ID (UUID v4). The server echoes it in the X-MOE-Request-Id response header so you can correlate the request with server-side logs.

Query Parameters

page
integer
default:1

Page number to retrieve, starting at 1. Range 1–500. A value outside this range returns 400 INVALID_REQUEST.

Required range: 1 <= x <= 500
limit
integer
default:20

Number of items per page. Default 20, range 1–100. A value outside this range returns 400 INVALID_REQUEST.

Required range: 1 <= x <= 100

Response

Paginated list of templates.

response_id
string

Server-generated UUID for tracing this response.

type
enum<string>

Resource type discriminator. Always template_list.

Available options:
template_list
data
object